function TestOrthOscObjO 
      % this script initializes a set of bus objects in the MATLAB base workspace 
      % generated by simulinkSfuncBusGen.jzcmd
      
      % The ObjectJc bus is included!
      ObjectJc_genBus();
                
    % Bus object: Data_Output_Test_OrthOsc2 
    clear Data_Output_Test_OrthOsc2_elems;
    ix = 1;
  
    Data_Output_Test_OrthOsc2_elems(ix) = Simulink.BusElement;
    Data_Output_Test_OrthOsc2_elems(ix).Name = 'seq';
    Data_Output_Test_OrthOsc2_elems(ix).Dimensions = 1;
    Data_Output_Test_OrthOsc2_elems(ix).DimensionsMode = 'Fixed';
    Data_Output_Test_OrthOsc2_elems(ix).DataType = 'int32';
    Data_Output_Test_OrthOsc2_elems(ix).SampleTime = -1;
    Data_Output_Test_OrthOsc2_elems(ix).Complexity = 'real';
    Data_Output_Test_OrthOsc2_elems(ix).Description = ['A sequence number.' char(10) ... 
        '' char(10) ... 
        'You can check whether it is the same seqNr before first read of data and after last read.' char(10) ... 
        'If the seq is changed, the data are renewed. The seq steps in bit 4 (0x10) per write cycle.' char(10) ... 
        'The bits 0..3 contains the double buffer index and two lock bits, able to use for debugging.' char(10) ... 
        'You can calculate the number of writes between 2 read operations by operating' char(10) ... 
        'nrofWrites = ((seqLast & ~0xf) - (seq & ~0xf)) >> 4.' char(10) ... 
        ''];  
  Data_Output_Test_OrthOsc2_elems(ix).SamplingMode = 'Sample based';
  Data_Output_Test_OrthOsc2_elems(ix).Min = [];
  Data_Output_Test_OrthOsc2_elems(ix).Max = [];
  Data_Output_Test_OrthOsc2_elems(ix).DocUnits = '';
  
  
  ix = ix+1;
  
    Data_Output_Test_OrthOsc2_elems(ix) = Simulink.BusElement;
    Data_Output_Test_OrthOsc2_elems(ix).Name = 'spare';
    Data_Output_Test_OrthOsc2_elems(ix).Dimensions = 1;
    Data_Output_Test_OrthOsc2_elems(ix).DimensionsMode = 'Fixed';
    Data_Output_Test_OrthOsc2_elems(ix).DataType = 'int32';
    Data_Output_Test_OrthOsc2_elems(ix).SampleTime = -1;
    Data_Output_Test_OrthOsc2_elems(ix).Complexity = 'real';
    Data_Output_Test_OrthOsc2_elems(ix).Description = [''];  
  Data_Output_Test_OrthOsc2_elems(ix).SamplingMode = 'Sample based';
  Data_Output_Test_OrthOsc2_elems(ix).Min = [];
  Data_Output_Test_OrthOsc2_elems(ix).Max = [];
  Data_Output_Test_OrthOsc2_elems(ix).DocUnits = '';
  
  
  ix = ix+1;
  
    Data_Output_Test_OrthOsc2_elems(ix) = Simulink.BusElement;
    Data_Output_Test_OrthOsc2_elems(ix).Name = 'pq1';
    Data_Output_Test_OrthOsc2_elems(ix).Dimensions = 2;
    Data_Output_Test_OrthOsc2_elems(ix).DimensionsMode = 'Fixed';
    Data_Output_Test_OrthOsc2_elems(ix).DataType = 'single';
    Data_Output_Test_OrthOsc2_elems(ix).SampleTime = -1;
    Data_Output_Test_OrthOsc2_elems(ix).Complexity = 'complex';
    Data_Output_Test_OrthOsc2_elems(ix).Description = ['The static values of fundamental osciallation, calculated from the oscillation inputs. '];  
  Data_Output_Test_OrthOsc2_elems(ix).SamplingMode = 'Sample based';
  Data_Output_Test_OrthOsc2_elems(ix).Min = [];
  Data_Output_Test_OrthOsc2_elems(ix).Max = [];
  Data_Output_Test_OrthOsc2_elems(ix).DocUnits = '';
  
  
  ix = ix+1;
  
    Data_Output_Test_OrthOsc2_elems(ix) = Simulink.BusElement;
    Data_Output_Test_OrthOsc2_elems(ix).Name = 'm0';
    Data_Output_Test_OrthOsc2_elems(ix).Dimensions = 2;
    Data_Output_Test_OrthOsc2_elems(ix).DimensionsMode = 'Fixed';
    Data_Output_Test_OrthOsc2_elems(ix).DataType = 'single';
    Data_Output_Test_OrthOsc2_elems(ix).SampleTime = -1;
    Data_Output_Test_OrthOsc2_elems(ix).Complexity = 'real';
    Data_Output_Test_OrthOsc2_elems(ix).Description = ['Offset value of the oscillation'];  
  Data_Output_Test_OrthOsc2_elems(ix).SamplingMode = 'Sample based';
  Data_Output_Test_OrthOsc2_elems(ix).Min = [];
  Data_Output_Test_OrthOsc2_elems(ix).Max = [];
  Data_Output_Test_OrthOsc2_elems(ix).DocUnits = '';
  
  
  ix = ix+1;
  
    Data_Output_Test_OrthOsc2_elems(ix) = Simulink.BusElement;
    Data_Output_Test_OrthOsc2_elems(ix).Name = 'm1';
    Data_Output_Test_OrthOsc2_elems(ix).Dimensions = 2;
    Data_Output_Test_OrthOsc2_elems(ix).DimensionsMode = 'Fixed';
    Data_Output_Test_OrthOsc2_elems(ix).DataType = 'single';
    Data_Output_Test_OrthOsc2_elems(ix).SampleTime = -1;
    Data_Output_Test_OrthOsc2_elems(ix).Complexity = 'real';
    Data_Output_Test_OrthOsc2_elems(ix).Description = ['Magnitude of the fundamental oscillation'];  
  Data_Output_Test_OrthOsc2_elems(ix).SamplingMode = 'Sample based';
  Data_Output_Test_OrthOsc2_elems(ix).Min = [];
  Data_Output_Test_OrthOsc2_elems(ix).Max = [];
  Data_Output_Test_OrthOsc2_elems(ix).DocUnits = '';
  
  
  ix = ix+1;
  
    Data_Output_Test_OrthOsc2_elems(ix) = Simulink.BusElement;
    Data_Output_Test_OrthOsc2_elems(ix).Name = 'm2';
    Data_Output_Test_OrthOsc2_elems(ix).Dimensions = 2;
    Data_Output_Test_OrthOsc2_elems(ix).DimensionsMode = 'Fixed';
    Data_Output_Test_OrthOsc2_elems(ix).DataType = 'single';
    Data_Output_Test_OrthOsc2_elems(ix).SampleTime = -1;
    Data_Output_Test_OrthOsc2_elems(ix).Complexity = 'real';
    Data_Output_Test_OrthOsc2_elems(ix).Description = ['Magnitude of the fundamental 2. harmonics'];  
  Data_Output_Test_OrthOsc2_elems(ix).SamplingMode = 'Sample based';
  Data_Output_Test_OrthOsc2_elems(ix).Min = [];
  Data_Output_Test_OrthOsc2_elems(ix).Max = [];
  Data_Output_Test_OrthOsc2_elems(ix).DocUnits = '';
  
  
  ix = ix+1;
  
    Data_Output_Test_OrthOsc2_elems(ix) = Simulink.BusElement;
    Data_Output_Test_OrthOsc2_elems(ix).Name = 'm3';
    Data_Output_Test_OrthOsc2_elems(ix).Dimensions = 2;
    Data_Output_Test_OrthOsc2_elems(ix).DimensionsMode = 'Fixed';
    Data_Output_Test_OrthOsc2_elems(ix).DataType = 'single';
    Data_Output_Test_OrthOsc2_elems(ix).SampleTime = -1;
    Data_Output_Test_OrthOsc2_elems(ix).Complexity = 'real';
    Data_Output_Test_OrthOsc2_elems(ix).Description = ['Magnitude of the fundamental 2. harmonics'];  
  Data_Output_Test_OrthOsc2_elems(ix).SamplingMode = 'Sample based';
  Data_Output_Test_OrthOsc2_elems(ix).Min = [];
  Data_Output_Test_OrthOsc2_elems(ix).Max = [];
  Data_Output_Test_OrthOsc2_elems(ix).DocUnits = '';
  
  
  ix = ix+1;
  
    Data_Output_Test_OrthOsc2_elems(ix) = Simulink.BusElement;
    Data_Output_Test_OrthOsc2_elems(ix).Name = 'e';
    Data_Output_Test_OrthOsc2_elems(ix).Dimensions = 2;
    Data_Output_Test_OrthOsc2_elems(ix).DimensionsMode = 'Fixed';
    Data_Output_Test_OrthOsc2_elems(ix).DataType = 'single';
    Data_Output_Test_OrthOsc2_elems(ix).SampleTime = -1;
    Data_Output_Test_OrthOsc2_elems(ix).Complexity = 'real';
    Data_Output_Test_OrthOsc2_elems(ix).Description = ['For debugging and further evaluation: ' char(10) ... 
        'The error value between x and all oscillators. ' char(10) ... 
        ''];  
  Data_Output_Test_OrthOsc2_elems(ix).SamplingMode = 'Sample based';
  Data_Output_Test_OrthOsc2_elems(ix).Min = [];
  Data_Output_Test_OrthOsc2_elems(ix).Max = [];
  Data_Output_Test_OrthOsc2_elems(ix).DocUnits = '';
  
  
  ix = ix+1;
              
  Data_Output_Test_OrthOsc2 = Simulink.Bus;
  Data_Output_Test_OrthOsc2.HeaderFile = 'Output_Test_OrthOsc2.h';
  Data_Output_Test_OrthOsc2.Description = 'Generated from simulinkBusGen.jzcmd from Headerfile Output_Test_OrthOsc2, via script TestOrthOscObjO.m';
  Data_Output_Test_OrthOsc2.DataScope = 'Imported';
  Data_Output_Test_OrthOsc2.Alignment = -1;
  Data_Output_Test_OrthOsc2.Elements = Data_Output_Test_OrthOsc2_elems;
  assignin('base','Data_Output_Test_OrthOsc2', Data_Output_Test_OrthOsc2);
  
  